Subject: Re: [ANNOUNCE] Git v1.8.5-rc2

From: Junio C Hamano <[email-masked]>
Date: Mon, 18 Nov 2013 09:01:54 -0800

Marc Branchaud <[email-masked]> writes:

>> Foreign interfaces, subsystems and ports.
>> 
>>  * "git-svn" used with SVN 1.8.0 when talking over https:// connection
>>    dumped core due to a bug in the serf library that SVN uses.  Work
>>    it around on our side, even though the SVN side is being fixed.
>>  ...
>>  * Subversion 1.8.0 that was recently released breaks older subversion
>>    clients coming over http/https in various ways.
>
> Isn't this the same as the serf fixes ([1],[2])?  If not, what git change is
> it referring to?

The latter, I think, is 8ac251b6 (git-svn: allow git-svn fetching to
work using serf, 2013-07-06).  Without it we won't even work with
newer SVN library.

The former I think refers to 73ffac3b (git-svn: fix termination
issues for remote svn connections, 2013-09-03).  Even with the serf
support, without a work-around, we won't work with serf.

The description can and should be rolled into one, but I am not sure
what the best wording would be.

Thanks.